/* SECTION */
.zx-section {
  padding: 0px 30px;
  text-align: center;
}

.zx-title {
  font-size: 38px;
  margin-bottom: 10px;
}

.zx-sub {
  color: #666;
  margin-bottom: 50px;
}

/* GRID */
.zx-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 25px;
}

/* CARD */
.zx-card {
  background: #fff;
  border-radius: 18px;
  padding: 30px 20px;
  transition: 0.4s;
  box-shadow: 0 10px 25px rgba(0,0,0,0.05);
  position: relative;
  overflow: hidden;
}

.zx-card:hover {
  transform: translateY(-10px);
  box-shadow: 0 20px 40px rgba(0,0,0,0.1);
}

/* TOP LINE */
.zx-card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 5px;
  background: linear-gradient(90deg,#ff4d1c,#007bff);
}

/* ICON */
.zx-icon {
  font-size: 32px;
  margin-bottom: 15px;
}

/* TITLE */
.zx-card h3 {
  font-size: 18px;
  margin-bottom: 10px;
}

/* TEXT */
.zx-card p {
  font-size: 14px;
  color: #555;
  line-height: 1.5;
}

/* RESPONSIVE */
@media (max-width: 1100px) {
  .zx-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 768px) {
  .zx-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 480px) {
  .zx-grid {
    grid-template-columns: 1fr;
  }
}
.section-title {
                /*background: linear-gradient(45deg, #062241, #d94795);*/
  text-align: center;
  padding: 0px 0;
  font-size: 32px;
  font-weight: bold;
}

/* GRID */
.portfolio-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px;
}

/* CARD */
.portfolio-card {
  position: relative;
  overflow: hidden;
  border-radius: 0px;
  background: #000;
  cursor: pointer;
}

/* PREVIEW AREA */
.website-preview {
  height: 320px;
  overflow: hidden;
}

/* IMAGE */
.website-preview img {
  width: 100%;
  transform: scale(1);
  transition: transform 1s ease;
}

/* STEP 1: ZOOM */
.portfolio-card:hover img {
  transform: scale(1.08);
}

/* STEP 2: SCROLL AFTER DELAY */
.portfolio-card:hover img {
  transition: transform 6s ease 0.5s;
  transform: scale(1.08) translateY(calc(-100% + 320px));
}

/* OVERLAY */
.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.5);
  color: #fff;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transition: 0.3s;
}

.portfolio-card:hover .overlay {
  opacity: 1;
}

.overlay h3 {
  margin-bottom: 10px;
}

.overlay a {
  background: #ff4d6d;
  color: #fff;
  padding: 10px 18px;
  text-decoration: none;
  border-radius: 6px;
}

/* RESPONSIVE */
@media (max-width: 992px) {
  .portfolio-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 576px) {
  .portfolio-grid {
    grid-template-columns: 1fr;
  }
}